Package org.apache.lucene.sandbox.facet.utils

# Class FacetOrchestrator

java.lang.Object
org.apache.lucene.sandbox.facet.utils.FacetOrchestrator

public final class FacetOrchestrator extends Object
Utility class to orchestrate `FacetBuilder`s to setup and exec collection for multiple facets.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetOrchestrator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FacetOrchestrator`
  `addBuilder(FacetBuilder request)`
  `void`
  `collect(Query query, IndexSearcher searcher)`
  `<C extends Collector, T>
  T`
  `collect(Query query, IndexSearcher searcher, CollectorManager<C,T> mainCollector)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FacetOrchestrator

    public FacetOrchestrator()

- ## Method Details

  - ### addBuilder

    public FacetOrchestrator addBuilder(FacetBuilder request)

  - ### collect

    public void collect(Query query, IndexSearcher searcher) throws IOException
    Throws:
      `IOException`

  - ### collect

    public <C extends Collector, T> T collect(Query query, IndexSearcher searcher, CollectorManager<C,T> mainCollector) throws IOException
    Throws:
      `IOException`